.hamburger {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 26px;
    margin-left: 8px;

    span,
    span:before,
    span:after {
        display: block;
        width: 100%;
        height: 1px;
        background-color: #fff;
    }

    span {
        position: relative;

        &:before,
        &:after{
            position: absolute;
            right: 0;
            transition: transform .3s ease;
            transform: translateZ(0);
            content: '';
        }

        &:before {
            top: -13px;
            width: 78%;
            transition-property: transform, opacity;
        }

        &:after {
            top: 12px;
        }

    }

    &.is-active{

        &:before{
            transform: translate3d(0,4px,0) rotate(45deg);
        }

        &:after{
            transform: translate3d(0,-4px,0) rotate(-45deg);
        }
    }
}
